//共通
function createHttpObject() {
	if(window.XMLHttpRequest) {
		return new XMLHttpRequest();
	} else if(window.ActiveXObject) {
		try {
			return new ActiveXObject("Msxml2.XMLHTTP");
		} catch (e) {
			try {
				return new ActiveXObject("Microsoft.XMLHTTP");
			} catch (e2) {}
		}
	}
	return null;
}
//edcb予約
function etb_resv(path) {
	var obj = createHttpObject();
	obj.open("GET", path, true);
	obj.setRequestHeader("If-Modified-Since", "Thu, 01 Jun 1970 00:00:00 GMT");
	obj.onreadystatechange = function() {
		if (obj.readyState==4) {
			window.location.reload();
		}
	}
	obj.send("");
}
//netremocon
function nr(path) {
	var obj = createHttpObject();
	obj.open("GET", path, true);
	obj.setRequestHeader("If-Modified-Since", "Thu, 01 Jun 1970 00:00:00 GMT");
	obj.send("");
}
//詳細受信
function detail_receive(divId, path) {
	document.getElementById(divId).innerHTML = '読み込み中';
	var obj = createHttpObject();
	obj.open("GET", path, true);
	obj.onreadystatechange = function() {
		if (obj.readyState==4) {
			document.getElementById(divId).innerHTML = obj.responseText;
		}
	}
	obj.send("");
}
//window作成
var kkcal_tooltipObj = false;
var kkcal_onlink = false;
var kkcal_win_w = 240+2, kkcal_win_h = 280+2;
var kkcal_margin_w = 8, kkcal_margin_h = 8;
var kkcal_w = kkcal_win_w+kkcal_margin_w, kkcal_h = kkcal_win_h+kkcal_margin_h;

function kjs_showTooltip(externalFile, inputObj) {
	if (kkcal_onlink) return;
	kkcal_onlink = true;

	if(!kkcal_tooltipObj){
		kkcal_tooltipObj = document.createElement('DIV');
		kkcal_tooltipObj.style.position = 'absolute';
		kkcal_tooltipObj.id = 'ajax_tooltipObj';
		document.body.appendChild(kkcal_tooltipObj);

		var contentDiv = document.createElement('DIV');
		contentDiv.className = 'kjs_tooltip_content';
		kkcal_tooltipObj.appendChild(contentDiv);
		contentDiv.id = 'kjs_tooltip_content';

		if (window.createPopup) {
			kkcal_w = kkcal_win_w;
			kkcal_h = kkcal_win_h;
		}
	}
	// Find position of tooltip
	kkcal_tooltipObj.style.display = 'block';
	detail_receive('kjs_tooltip_content', externalFile);

	kjs_positionTooltip(inputObj);
}

function kjs_positionTooltip(inputObj) {
	var leftPos = inputObj.offsetLeft + inputObj.offsetWidth - 2;
	var topPos = inputObj.offsetTop;
	while((inputObj = inputObj.offsetParent) != null) {
		if(inputObj.tagName!='HTML') {
			leftPos += inputObj.offsetLeft;
			topPos += inputObj.offsetTop;
		}
	}

	var tooltipWidth = document.getElementById('kjs_tooltip_content').offsetWidth;

	leftPos = Math.min(leftPos, document.body.clientWidth - kkcal_w +document.body.scrollLeft);
	topPos = Math.min(topPos, document.body.clientHeight - kkcal_h +document.body.scrollTop);
	kkcal_tooltipObj.style.left = leftPos + 'px';
	kkcal_tooltipObj.style.top = topPos + 'px';
}

function kjs_leave() {
	kkcal_onlink = false;
	window.document.onmousemove = kjs_mousemove;
}
function kjs_mousemove(evt) {
	if(kkcal_tooltipObj && !kkcal_onlink) {
		if (window.createPopup) {
			x = parseInt(kkcal_tooltipObj.style.left) - document.body.scrollLeft;
			y = parseInt(kkcal_tooltipObj.style.top) - document.body.scrollTop;
			ex = event.x;
			ey = event.y;
		} else {
			x = parseInt(kkcal_tooltipObj.style.left);
			y = parseInt(kkcal_tooltipObj.style.top);
			ex = evt.pageX;
			ey = evt.pageY;
		}
		if ((x > ex) || (y > ey) || (x+kkcal_w < ex) || (y+kkcal_h < ey)) {
			kkcal_tooltipObj.style.display='none';
			window.document.onmousemove = null;
		}
	}
}

